<?php

/**
*
* install script to set up permission options in the db for Topic cement
* @version $Id: install.php 2008-11-02 23:39:00 (local) Elglobo
* @copyright (c) Elglobo: http://www.phpbb-services.com/ - elglobo@phpbb-services.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

// initialize the page
define('IN_PHPBB', true);
define('IN_INSTALL', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);


// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('install');

if ($user->data['user_type'] == USER_FOUNDER)
{
	// Setup $auth_admin class so we can add tabulated survey permission options
	include($phpbb_root_path . 'includes/acp/auth.' . $phpEx);
	$auth_admin = new auth_admin();

	$auth_admin->acl_add_option(array(
	    'global'    => array('m_set_priority'),
		'local'    => array('m_set_priority')
	));


	$message = $user->lang['DONE'] . '<br /><br />';
	$message .= $user->lang['REMOVE_INSTALL'];
}
else
{
	$message = $user->lang['NOT_AUTHORISED'];
}
trigger_error($message);

?>